com.streambase.sb.unittest

## Enum Expecter.DequeueSetting

- java.lang.Object
- - java.lang.Enum<Expecter.DequeueSetting>
  - - com.streambase.sb.unittest.Expecter.DequeueSetting

- All Implemented Interfaces:
    Serializable, Comparable<Expecter.DequeueSetting>
  Enclosing class:
    Expecter

      public static enum Expecter.DequeueSetting
      extends Enum<Expecter.DequeueSetting>

  Dequeue settings

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_EXTRA_TUPLES` When passed to expect* routines, extra tuples are permitted as long as the expected tuples show up with in the timeout.
    `DISALLOW_EXTRA_TUPLES` When passed to expect* routines, extra tuples are not permitted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Expecter.DequeueSetting` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Expecter.DequeueSetting[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW_EXTRA_TUPLES

          public static final Expecter.DequeueSetting ALLOW_EXTRA_TUPLES

      When passed to expect* routines, extra tuples are permitted as long as the expected tuples show up with in the timeout.

    - #### DISALLOW_EXTRA_TUPLES

          public static final Expecter.DequeueSetting DISALLOW_EXTRA_TUPLES

      When passed to expect* routines, extra tuples are not permitted. The expected tuples must be the next set of tuples to be dequeued from the stream.

  - ### Method Detail

    - #### values

          public static Expecter.DequeueSetting[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Expecter.DequeueSetting c : Expecter.DequeueSetting.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Expecter.DequeueSetting valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.